# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['debug_toolbar', 'debug_toolbar.panels']

package_data = \
{'': ['*'],
 'debug_toolbar': ['statics/css/*',
                   'statics/js/*',
                   'templates/*',
                   'templates/includes/*',
                   'templates/panels/*']}

install_requires = \
['Jinja2>=2.9', 'aiofiles>=0.2.1', 'fastapi>=0.62.0', 'pyinstrument>=3.0.0']

setup_kwargs = {
    'name': 'fastapi-debug-toolbar',
    'version': '0.0.1b1',
    'description': 'A debug toolbar for FastAPI.',
    'long_description': '# FastAPI Debug Toolbar\n\n<p align="center">\n    <img src="https://user-images.githubusercontent.com/5514990/126566749-5925bf94-e96a-4a2c-9d72-3bcd245c9aa1.gif" alt="FastAPI Debug Toolbar">\n</p>\n<p align="center">\n    <em>🐞A debug toolbar for FastAPI based on the original django-debug-toolbar.🐞</em>\n</p>\n<p align="center">\n<a href="https://github.com/mongkok/fastapi-debug-toolbar/actions" target="_blank">\n    <img src="https://github.com/mongkok/fastapi-debug-toolbar/actions/workflows/test-suite.yml/badge.svg" alt="Test">\n</a>\n<a href="https://codecov.io/gh/mongkok/fastapi-debug-toolbar" target="_blank">\n    <img src="https://img.shields.io/codecov/c/github/mongkok/fastapi-debug-toolbar" alt="Coverage">\n</a>\n<a href="https://www.codacy.com/gh/mongkok/fastapi-debug-toolbar/dashboard" target="_blank">\n    <img src="https://app.codacy.com/project/badge/Grade/e9d8ba3973264424a3296016063b4ab5" alt="Codacy">\n</a>\n<a href="https://pypi.org/project/fastapi-debug-toolbar" target="_blank">\n    <img src="https://img.shields.io/pypi/v/fastapi-debug-toolbar" alt="Package version">\n</a>\n\n## Installation\n\n```shell\npip install fastapi-debug-toolbar\n```\n\n## Quickstart\n\n```py\nfrom fastapi import FastAPI\nfrom debug_toolbar.middleware import DebugToolbarMiddleware\n\napp = FastAPI(debug=True)\napp.add_middleware(DebugToolbarMiddleware)\n```\n',
    'author': 'Dani',
    'author_email': 'dani@domake.io',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/mongkok/fastapi-debug-toolbar',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
